Skip to main content
PATCH
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
asset-provider
Update asset provider settings
curl --request PATCH \
  --url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/asset-provider \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "trackGeolocation": true
}
'
{
  "code": "ABC",
  "countryCode": "AT",
  "guid": "<string>",
  "categories": [
    {
      "id": "<string>",
      "name": "<string>"
    }
  ],
  "trackGeolocation": true,
  "activeAssets": true
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

assetProviderCountryCode
string
required

The two-letter country code of the asset provider

Required string length: 2
assetProviderCode
string
required

The three-character code of the asset provider the vehicles belong to

Required string length: 3

Body

application/json

Data required to adjust the settings

trackGeolocation
boolean
required

Describes whether geolocation tracking should be enabled or disabled

Response

Asset provider

code
string
required

Code of the asset provider

Required string length: 3
Example:

"ABC"

countryCode
string
required

Country code of the asset provider

Required string length: 2
Example:

"AT"

guid
string

Object global unique identifier

Maximum string length: 36
categories
object[]
trackGeolocation
boolean

Describes whether the geolocation of the assets belonging to the vehicles under this asset provider will be tracked or not. Individual assets can only be configured separately if it is activated for the whole provider.

activeAssets
boolean

Describes whether the assets belonging to the vehicles under this asset provider are activated or deactivated. Individual assets can only be configured separately if it is activated for the whole provider.